Package org.eclipse.graphiti.mm.algorithms.styles.impl

## Class FontImpl

- java.lang.Object
- - org.eclipse.emf.common.notify.impl.BasicNotifierImpl
  - - org.eclipse.emf.ecore.impl.BasicEObjectImpl
    - - org.eclipse.emf.ecore.impl.EObjectImpl
      - - org.eclipse.graphiti.mm.algorithms.styles.impl.FontImpl

All Implemented Interfaces:
  `org.eclipse.emf.common.notify.Notifier`, `org.eclipse.emf.ecore.EObject`, `org.eclipse.emf.ecore.InternalEObject`, `Font`

    public class FontImpl
    extends org.eclipse.emf.ecore.impl.EObjectImpl
    implements Font

An implementation of the model object 'Font'.

The following features are implemented:

- `Name`
- `Size`
- `Italic`
- `Bold`

### Nested Class Summary

### Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolder, org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolderBaseImpl, org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolderImpl`

### Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl

`org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EAdapterList<E extends java.lang.Object & org.eclipse.emf.common.notify.Adapter>, org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EObservableAdapterList, org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EScannableAdapterList`

### Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject

`org.eclipse.emf.ecore.InternalEObject.EStore`

### Field Summary

Fields
`protected boolean` `bold` The cached value of the '`Bold`' attribute.
`protected static boolean` `BOLD_EDEFAULT` The default value of the '`Bold`' attribute.
`protected boolean` `italic` The cached value of the '`Italic`' attribute.
`protected static boolean` `ITALIC_EDEFAULT` The default value of the '`Italic`' attribute.
`protected java.lang.String` `name` The cached value of the '`Name`' attribute.
`protected static java.lang.String` `NAME_EDEFAULT` The default value of the '`Name`' attribute.
`protected int` `size` The cached value of the '`Size`' attribute.
`protected static int` `SIZE_EDEFAULT` The default value of the '`Size`' attribute.

### Fields inherited from class org.eclipse.emf.ecore.impl.EObjectImpl

`eAdapters, eContainer, eContainerFeatureID, EDELIVER, EDYNAMIC_CLASS, eFlags, ELAST_EOBJECT_FLAG, ELAST_NOTIFIER_FLAG, eProperties, EPROXY`

### Fields inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`EVIRTUAL_GET, EVIRTUAL_IS_SET, EVIRTUAL_NO_VALUE, EVIRTUAL_SET, EVIRTUAL_UNSET`

### Fields inherited from interface org.eclipse.emf.ecore.InternalEObject

`EOPPOSITE_FEATURE_BASE`

### Constructor Summary

Constructors
`protected` `FontImpl()`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.Object` `eGet​(int featureID, boolean resolve, boolean coreType)`
`boolean` `eIsSet​(int featureID)`
`void` `eSet​(int featureID, java.lang.Object newValue)`
`protected org.eclipse.emf.ecore.EClass` `eStaticClass()`
`void` `eUnset​(int featureID)`
`java.lang.String` `getName()`
`int` `getSize()`
`boolean` `isBold()`
`boolean` `isItalic()`
`void` `setBold​(boolean newBold)`
`void` `setItalic​(boolean newItalic)`
`void` `setName​(java.lang.String newName)`
`void` `setSize​(int newSize)`
`java.lang.String` `toString()`

### Methods inherited from class org.eclipse.emf.ecore.impl.EObjectImpl

`eAdapters, eBasicAdapters, eBasicProperties, eBasicSetContainer, eClass, eContainerFeatureID, eDeliver, eInternalContainer, eInvoke, eIsProxy, eProperties, eSetClass, eSetDeliver, eSetProxyURI`

### Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`eAddVirtualValue, eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicRemoveFromContainerFeature, eBasicSetContainer, eComputeVirtualValuesCapacity, eContainer, eContainerAdapterArray, eContainingFeature, eContainmentFeature, eContainmentFeature, eContains, eContents, eCrossReferences, eDerivedOperationID, eDerivedOperationID, eDerivedStructuralFeatureID, eDerivedStructuralFeatureID, eDirectResource, eDynamicBasicRemoveFromContainer, eDynamicClass, eDynamicFeature, eDynamicFeatureID, eDynamicGet, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicInverseRemove, eDynamicInvoke, eDynamicInvoke, eDynamicIsSet, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eHasSettings, eInternalResource, eInverseAdd, eInverseAdd, eInverseRemove, eInverseRemove, eInvocationDelegate, eInvoke, eIsSet, eObjectForURIFragmentSegment, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eProxyURI, eRemoveVirtualValue, eResolveProxy, eResource, eSet, eSetDirectResource, eSetResource, eSetStore, eSetting, eSettingDelegate, eSettings, eSetVirtualIndexBits, eSetVirtualValue, eSetVirtualValues, eStaticFeatureCount, eStaticOperationCount, eStore, eUnset, eURIFragmentSegment, eVirtualBitCount, eVirtualGet, eVirtualGet, eVirtualIndex, eVirtualIndexBits, eVirtualIsSet, eVirtualSet, eVirtualUnset, eVirtualValue, eVirtualValues`

### Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl

`eBasicAdapterArray, eBasicHasAdapters, eNotificationRequired, eNotify`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.eclipse.emf.ecore.EObject

`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

### Methods inherited from interface org.eclipse.emf.ecore.InternalEObject

`eNotificationRequired`

### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

`eAdapters, eDeliver, eNotify, eSetDeliver`

### Field Detail

#### NAME_EDEFAULT

    protected static final java.lang.String NAME_EDEFAULT

The default value of the '`Name`' attribute.

See Also:
  `getName()`

#### name

    protected java.lang.String name

The cached value of the '`Name`' attribute.

See Also:
  `getName()`

#### SIZE_EDEFAULT

    protected static final int SIZE_EDEFAULT

The default value of the '`Size`' attribute.

See Also:
  `getSize()`, Constant Field Values

#### size

    protected int size

The cached value of the '`Size`' attribute.

See Also:
  `getSize()`

#### ITALIC_EDEFAULT

    protected static final boolean ITALIC_EDEFAULT

The default value of the '`Italic`' attribute.

See Also:
  `isItalic()`, Constant Field Values

#### italic

    protected boolean italic

The cached value of the '`Italic`' attribute.

See Also:
  `isItalic()`

#### BOLD_EDEFAULT

    protected static final boolean BOLD_EDEFAULT

The default value of the '`Bold`' attribute.

See Also:
  `isBold()`, Constant Field Values

#### bold

    protected boolean bold

The cached value of the '`Bold`' attribute.

See Also:
  `isBold()`

### Constructor Detail

#### FontImpl

    protected FontImpl()

### Method Detail

#### eStaticClass

    protected org.eclipse.emf.ecore.EClass eStaticClass()

Overrides:
  `eStaticClass` in class `org.eclipse.emf.ecore.impl.EObjectImpl`

#### getName

    public java.lang.String getName()

Specified by:
  `getName` in interface `Font`
Returns:
  the value of the 'Name' attribute.
See Also:
  `StylesPackage.getFont_Name()`

#### setName

    public void setName​(java.lang.String newName)

#### getSize

    public int getSize()

Specified by:
  `getSize` in interface `Font`
Returns:
  the value of the 'Size' attribute.
See Also:
  `StylesPackage.getFont_Size()`

#### setSize

    public void setSize​(int newSize)

#### isItalic

    public boolean isItalic()

Specified by:
  `isItalic` in interface `Font`
Returns:
  the value of the 'Italic' attribute.
See Also:
  `StylesPackage.getFont_Italic()`

#### setItalic

    public void setItalic​(boolean newItalic)

#### isBold

    public boolean isBold()

Specified by:
  `isBold` in interface `Font`
Returns:
  the value of the 'Bold' attribute.
See Also:
  `StylesPackage.getFont_Bold()`

#### setBold

    public void setBold​(boolean newBold)

#### eGet

    public java.lang.Object eGet​(int featureID,
                                 boolean resolve,
                                 boolean coreType)

Specified by:
  `eGet` in interface `org.eclipse.emf.ecore.InternalEObject`
Overrides:
  `eGet` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

#### eSet

    public void eSet​(int featureID,
                     java.lang.Object newValue)

Specified by:
  `eSet` in interface `org.eclipse.emf.ecore.InternalEObject`
Overrides:
  `eSet` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

#### eUnset

    public void eUnset​(int featureID)

Specified by:
  `eUnset` in interface `org.eclipse.emf.ecore.InternalEObject`
Overrides:
  `eUnset` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

#### eIsSet

    public boolean eIsSet​(int featureID)

Specified by:
  `eIsSet` in interface `org.eclipse.emf.ecore.InternalEObject`
Overrides:
  `eIsSet` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`